## ros-one-compressed-depth-image-transport 1.15.0-9jammy.20251023.0248

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(compressed_depth_image_transport)

if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
endif()

find_package(OpenCV REQUIRED)
find_package(catkin REQUIRED cv_bridge dynamic_reconfigure image_transport)

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(cfg/CompressedDepthPublisher.cfg)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS cv_bridge dynamic_reconfigure image_transport
  DEPENDS OpenCV
)

include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

set(SOURCE_FILES src/compressed_depth_publisher.cpp src/compressed_depth_subscriber.cpp src/manifest.cpp src/codec.cpp src/rvl_codec.cpp)
add_library(${PROJECT_NAME} ${SOURCE_FILES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

class_loader_hide_library_symbols(${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# add xml file
install(FILES compressed_depth_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  # Build ${PROJECT_NAME}_test library with symbols exported.
  add_library(${PROJECT_NAME}_test ${SOURCE_FILES})
  add_dependencies(${PROJECT_NAME}_test ${PROJECT_NAME}_gencfg)
  target_link_libraries(${PROJECT_NAME}_test ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

  catkin_add_gtest(rvl_codec_test test/rvl_codec_test.cpp)
  target_link_libraries(rvl_codec_test ${PROJECT_NAME}_test)
endif()

=== debian/changelog ===
ros-one-compressed-depth-image-transport (1.15.0-9jammy.20251023.0248) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 23 Oct 2025 02:48:39 +0000

ros-one-compressed-depth-image-transport (1.15.0-0jammy) jammy; urgency=high

  * Update maintainer in ros1 branches (#132 <https://github.com/ros-perception/image_transport_plugins/issues/132>)
  * Fix number of elements in vector parameter to call cv::imencode for OpenCV 4.7 (#130 <https://github.com/ros-perception/image_transport_plugins/issues/130>)
  * Fix uninitialized memory usage (#125 <https://github.com/ros-perception/image_transport_plugins/issues/125>)
  * Make the default compressed depth png_level 1 instead of 9 to save cpu (#85 <https://github.com/ros-perception/image_transport_plugins/issues/85>)
    The default 9 is so cpu intensive to be frequently unusable and results in many dropped frames, and there is still plenty of bandwidth savings from the compression at level 1.
  * Fix copyright year 20012 -> 2012 (#80 <https://github.com/ros-perception/image_transport_plugins/issues/80>)
  * Fix regression in compressed_depth_image_transport with old bags (#64 <https://github.com/ros-perception/image_transport_plugins/issues/64>)
  * Contributors: Johannes Meyer, Kenji Brameld, Lucas Walter, Martin Pecka, Michael Carroll, Timm Linder, ijnek, v4hn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 30 Jan 2023 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.14.0-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#53 <https://github.com/ros-perception/image_transport_plugins/issues/53>)
  * Add depth compression by RVL #42 <https://github.com/ros-perception/image_transport_plugins/issues/42>
  * Fix binary install locations for Windows build #34 <https://github.com/ros-perception/image_transport_plugins/issues/34>
  * Add legacy constants when using opencv4 #32 <https://github.com/ros-perception/image_transport_plugins/issues/32>
  * Contributors: Alejandro Hernández Cordero, David Gossow, Hans Gaiser, Sean Yen, Shuntaro Yamazaki

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 14 May 2020 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.5-0jammy) jammy; urgency=high

  * disable -Werr
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 03 Oct 2016 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.4-0jammy) jammy; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with 'stdlib.h: No such file or directory',
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Fix a missing return statement and add -Wall -Werror.
  * Contributors: Lukas Bulwahn, Mac Mason

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.3-0jammy) jammy; urgency=high

  * Refactor the codec into its own .h and .cpp.
  * remove useless tf dependencies
  * Contributors: Mac Mason, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Jan 2016 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.2-0jammy) jammy; urgency=high

  * use compression parameters for both depths
    fixes #12 <https://github.com/ros-perception/image_transport_plugins/issues/12>
  * get code to compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 25 Apr 2015 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.1-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jul 2014 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.0-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 16 May 2014 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.21-0jammy) jammy; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 27 Jun 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.20-0jammy) jammy; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 18 Mar 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.19-0jammy) jammy; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 24 Feb 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.18-0jammy) jammy; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 17:59:00 -0000

ros-one-compressed-depth-image-transport (1.8.17-0jammy) jammy; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jan 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.16-0jammy) jammy; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.15-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:11:00 -0000

ros-one-compressed-depth-image-transport (1.8.14-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:02:00 -0000

ros-one-compressed-depth-image-transport (1.8.13-0jammy) jammy; urgency=high

  * fix the bad exports


=== debian/control ===
Source: ros-one-compressed-depth-image-transport
Section: misc
Priority: optional
Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-image-transport
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-one-compressed-depth-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-image-transport
Description: Compressed_depth_image_transport provides a plugin to image_transport for transparently sending depth images (raw, floating-point) using PNG compression.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-compressed-depth-image-transport//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-compressed-depth-image-transport 1.15.0-9jammy.20260220.2331

=== debian/changelog ===
ros-one-compressed-depth-image-transport (1.15.0-9jammy.20260220.2331) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 20 Feb 2026 23:31:49 +0000

## ros-one-compressed-depth-image-transport 1.15.0-9noble.20251023.0246

=== debian/changelog ===
ros-one-compressed-depth-image-transport (1.15.0-9noble.20251023.0246) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 23 Oct 2025 02:46:45 +0000

ros-one-compressed-depth-image-transport (1.15.0-0noble) noble; urgency=high

  * Update maintainer in ros1 branches (#132 <https://github.com/ros-perception/image_transport_plugins/issues/132>)
  * Fix number of elements in vector parameter to call cv::imencode for OpenCV 4.7 (#130 <https://github.com/ros-perception/image_transport_plugins/issues/130>)
  * Fix uninitialized memory usage (#125 <https://github.com/ros-perception/image_transport_plugins/issues/125>)
  * Make the default compressed depth png_level 1 instead of 9 to save cpu (#85 <https://github.com/ros-perception/image_transport_plugins/issues/85>)
    The default 9 is so cpu intensive to be frequently unusable and results in many dropped frames, and there is still plenty of bandwidth savings from the compression at level 1.
  * Fix copyright year 20012 -> 2012 (#80 <https://github.com/ros-perception/image_transport_plugins/issues/80>)
  * Fix regression in compressed_depth_image_transport with old bags (#64 <https://github.com/ros-perception/image_transport_plugins/issues/64>)
  * Contributors: Johannes Meyer, Kenji Brameld, Lucas Walter, Martin Pecka, Michael Carroll, Timm Linder, ijnek, v4hn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 30 Jan 2023 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.14.0-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#53 <https://github.com/ros-perception/image_transport_plugins/issues/53>)
  * Add depth compression by RVL #42 <https://github.com/ros-perception/image_transport_plugins/issues/42>
  * Fix binary install locations for Windows build #34 <https://github.com/ros-perception/image_transport_plugins/issues/34>
  * Add legacy constants when using opencv4 #32 <https://github.com/ros-perception/image_transport_plugins/issues/32>
  * Contributors: Alejandro Hernández Cordero, David Gossow, Hans Gaiser, Sean Yen, Shuntaro Yamazaki

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 14 May 2020 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.5-0noble) noble; urgency=high

  * disable -Werr
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 03 Oct 2016 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.4-0noble) noble; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with 'stdlib.h: No such file or directory',
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Fix a missing return statement and add -Wall -Werror.
  * Contributors: Lukas Bulwahn, Mac Mason

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.3-0noble) noble; urgency=high

  * Refactor the codec into its own .h and .cpp.
  * remove useless tf dependencies
  * Contributors: Mac Mason, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Jan 2016 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.2-0noble) noble; urgency=high

  * use compression parameters for both depths
    fixes #12 <https://github.com/ros-perception/image_transport_plugins/issues/12>
  * get code to compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 25 Apr 2015 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.1-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jul 2014 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.9.0-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 16 May 2014 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.21-0noble) noble; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 27 Jun 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.20-0noble) noble; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 18 Mar 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.19-0noble) noble; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 24 Feb 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.18-0noble) noble; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 17:59:00 -0000

ros-one-compressed-depth-image-transport (1.8.17-0noble) noble; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jan 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.16-0noble) noble; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 00:00:00 -0000

ros-one-compressed-depth-image-transport (1.8.15-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:11:00 -0000

ros-one-compressed-depth-image-transport (1.8.14-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:02:00 -0000

ros-one-compressed-depth-image-transport (1.8.13-0noble) noble; urgency=high

  * fix the bad exports


## ros-one-compressed-depth-image-transport 1.15.0-9noble.20260220.2352

=== debian/changelog ===
ros-one-compressed-depth-image-transport (1.15.0-9noble.20260220.2352) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 20 Feb 2026 23:52:31 +0000
